Get invoice PDF link
Get a download link for the invoice PDF.
GET https://cotlet.dev/api/v1/fatture-in-cloud/invoices/{invoice_id}/pdf
read
Returns a link to the invoice PDF. Fatture in Cloud changed its document download URLs for security reasons and they expire, so fetch the link right before you use it.
Parameters
| Name | Type | Description |
|---|---|---|
| company_id integer | integer | Company ID. Optional when your account has one company. |
| invoice_id integer required | integer | Invoice ID from list_invoices or create_invoice. |
Request
curl https://cotlet.dev/api/v1/fatture-in-cloud/invoices/1/pdf \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("fatture-in-cloud", "get_invoice_pdf", {"invoice_id":1}) const result = await cotlet.call('fatture-in-cloud', 'get_invoice_pdf', {"invoice_id":1}); cotlet call fatture-in-cloud get_invoice_pdf --data '{"invoice_id":1}' Example response
{
"invoice_id": 88120,
"url": "https://files.example.com/invoice-14.pdf",
"expires": true
}